<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Ficheepidemio
 *
 * @ORM\Table(name="ficheepidemio")
 * @ORM\Entity
 */
class Ficheepidemio
{
    /**
     * @var string
     *
     * @ORM\Column(name="formSanitaire", type="string", length=256, nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $formsanitaire;

    /**
     * @var string
     *
     * @ORM\Column(name="semaineEpidemio", type="string", length=10, nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $semaineepidemio;

    /**
     * @var integer
     *
     * @ORM\Column(name="idDonnee", type="bigint", nullable=true)
     */
    private $iddonnee;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="jourEpidemio", type="date", nullable=true)
     */
    private $jourepidemio;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateEnvoi", type="date", nullable=true)
     */
    private $dateenvoi;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbConsultTotal", type="bigint", nullable=true)
     */
    private $nbconsulttotal;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbAffectFebrile", type="bigint", nullable=true)
     */
    private $nbaffectfebrile;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbIRA", type="bigint", nullable=true)
     */
    private $nbira;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbSG", type="bigint", nullable=true)
     */
    private $nbsg;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbConsultants1", type="bigint", nullable=true)
     */
    private $nbconsultants1;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbFebrile1", type="bigint", nullable=true)
     */
    private $nbfebrile1;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbIRA1", type="bigint", nullable=true)
     */
    private $nbira1;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbSG1", type="bigint", nullable=true)
     */
    private $nbsg1;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbConsultants2", type="bigint", nullable=true)
     */
    private $nbconsultants2;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbFebrile2", type="bigint", nullable=true)
     */
    private $nbfebrile2;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbIRA2", type="bigint", nullable=true)
     */
    private $nbira2;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbSG2", type="bigint", nullable=true)
     */
    private $nbsg2;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbConsultants3", type="bigint", nullable=true)
     */
    private $nbconsultants3;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbFebrile3", type="bigint", nullable=true)
     */
    private $nbfebrile3;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbIRA3", type="bigint", nullable=true)
     */
    private $nbira3;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbSG3", type="bigint", nullable=true)
     */
    private $nbsg3;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbConsultants4", type="bigint", nullable=true)
     */
    private $nbconsultants4;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbFebrile4", type="bigint", nullable=true)
     */
    private $nbfebrile4;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbIRA4", type="bigint", nullable=true)
     */
    private $nbira4;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbSG4", type="bigint", nullable=true)
     */
    private $nbsg4;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbConsultants5", type="bigint", nullable=true)
     */
    private $nbconsultants5;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbFebrile5", type="bigint", nullable=true)
     */
    private $nbfebrile5;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbIRA5", type="bigint", nullable=true)
     */
    private $nbira5;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbSG5", type="bigint", nullable=true)
     */
    private $nbsg5;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbEcouvNano", type="bigint", nullable=true)
     */
    private $nbecouvnano;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbEcouvBucco", type="bigint", nullable=true)
     */
    private $nbecouvbucco;

    /**
     * @var integer
     *
     * @ORM\Column(name="nbEchantillon", type="bigint", nullable=true)
     */
    private $nbechantillon;



    /**
     * Set formsanitaire
     *
     * @param string $formsanitaire
     * @return Ficheepidemio
     */
    public function setFormsanitaire($formsanitaire)
    {
        $this->formsanitaire = $formsanitaire;
    
        return $this;
    }

    /**
     * Get formsanitaire
     *
     * @return string 
     */
    public function getFormsanitaire()
    {
        return $this->formsanitaire;
    }

    /**
     * Set semaineepidemio
     *
     * @param string $semaineepidemio
     * @return Ficheepidemio
     */
    public function setSemaineepidemio($semaineepidemio)
    {
        $this->semaineepidemio = $semaineepidemio;
    
        return $this;
    }

    /**
     * Get semaineepidemio
     *
     * @return string 
     */
    public function getSemaineepidemio()
    {
        return $this->semaineepidemio;
    }

    /**
     * Set iddonnee
     *
     * @param integer $iddonnee
     * @return Ficheepidemio
     */
    public function setIddonnee($iddonnee)
    {
        $this->iddonnee = $iddonnee;
    
        return $this;
    }

    /**
     * Get iddonnee
     *
     * @return integer 
     */
    public function getIddonnee()
    {
        return $this->iddonnee;
    }

    /**
     * Set jourepidemio
     *
     * @param \DateTime $jourepidemio
     * @return Ficheepidemio
     */
    public function setJourepidemio($jourepidemio)
    {
        $this->jourepidemio = $jourepidemio;
    
        return $this;
    }

    /**
     * Get jourepidemio
     *
     * @return \DateTime 
     */
    public function getJourepidemio()
    {
        return $this->jourepidemio;
    }

    /**
     * Set dateenvoi
     *
     * @param \DateTime $dateenvoi
     * @return Ficheepidemio
     */
    public function setDateenvoi($dateenvoi)
    {
        $this->dateenvoi = $dateenvoi;
    
        return $this;
    }

    /**
     * Get dateenvoi
     *
     * @return \DateTime 
     */
    public function getDateenvoi()
    {
        return $this->dateenvoi;
    }

    /**
     * Set nbconsulttotal
     *
     * @param integer $nbconsulttotal
     * @return Ficheepidemio
     */
    public function setNbconsulttotal($nbconsulttotal)
    {
        $this->nbconsulttotal = $nbconsulttotal;
    
        return $this;
    }

    /**
     * Get nbconsulttotal
     *
     * @return integer 
     */
    public function getNbconsulttotal()
    {
        return $this->nbconsulttotal;
    }

    /**
     * Set nbaffectfebrile
     *
     * @param integer $nbaffectfebrile
     * @return Ficheepidemio
     */
    public function setNbaffectfebrile($nbaffectfebrile)
    {
        $this->nbaffectfebrile = $nbaffectfebrile;
    
        return $this;
    }

    /**
     * Get nbaffectfebrile
     *
     * @return integer 
     */
    public function getNbaffectfebrile()
    {
        return $this->nbaffectfebrile;
    }

    /**
     * Set nbira
     *
     * @param integer $nbira
     * @return Ficheepidemio
     */
    public function setNbira($nbira)
    {
        $this->nbira = $nbira;
    
        return $this;
    }

    /**
     * Get nbira
     *
     * @return integer 
     */
    public function getNbira()
    {
        return $this->nbira;
    }

    /**
     * Set nbsg
     *
     * @param integer $nbsg
     * @return Ficheepidemio
     */
    public function setNbsg($nbsg)
    {
        $this->nbsg = $nbsg;
    
        return $this;
    }

    /**
     * Get nbsg
     *
     * @return integer 
     */
    public function getNbsg()
    {
        return $this->nbsg;
    }

    /**
     * Set nbconsultants1
     *
     * @param integer $nbconsultants1
     * @return Ficheepidemio
     */
    public function setNbconsultants1($nbconsultants1)
    {
        $this->nbconsultants1 = $nbconsultants1;
    
        return $this;
    }

    /**
     * Get nbconsultants1
     *
     * @return integer 
     */
    public function getNbconsultants1()
    {
        return $this->nbconsultants1;
    }

    /**
     * Set nbfebrile1
     *
     * @param integer $nbfebrile1
     * @return Ficheepidemio
     */
    public function setNbfebrile1($nbfebrile1)
    {
        $this->nbfebrile1 = $nbfebrile1;
    
        return $this;
    }

    /**
     * Get nbfebrile1
     *
     * @return integer 
     */
    public function getNbfebrile1()
    {
        return $this->nbfebrile1;
    }

    /**
     * Set nbira1
     *
     * @param integer $nbira1
     * @return Ficheepidemio
     */
    public function setNbira1($nbira1)
    {
        $this->nbira1 = $nbira1;
    
        return $this;
    }

    /**
     * Get nbira1
     *
     * @return integer 
     */
    public function getNbira1()
    {
        return $this->nbira1;
    }

    /**
     * Set nbsg1
     *
     * @param integer $nbsg1
     * @return Ficheepidemio
     */
    public function setNbsg1($nbsg1)
    {
        $this->nbsg1 = $nbsg1;
    
        return $this;
    }

    /**
     * Get nbsg1
     *
     * @return integer 
     */
    public function getNbsg1()
    {
        return $this->nbsg1;
    }

    /**
     * Set nbconsultants2
     *
     * @param integer $nbconsultants2
     * @return Ficheepidemio
     */
    public function setNbconsultants2($nbconsultants2)
    {
        $this->nbconsultants2 = $nbconsultants2;
    
        return $this;
    }

    /**
     * Get nbconsultants2
     *
     * @return integer 
     */
    public function getNbconsultants2()
    {
        return $this->nbconsultants2;
    }

    /**
     * Set nbfebrile2
     *
     * @param integer $nbfebrile2
     * @return Ficheepidemio
     */
    public function setNbfebrile2($nbfebrile2)
    {
        $this->nbfebrile2 = $nbfebrile2;
    
        return $this;
    }

    /**
     * Get nbfebrile2
     *
     * @return integer 
     */
    public function getNbfebrile2()
    {
        return $this->nbfebrile2;
    }

    /**
     * Set nbira2
     *
     * @param integer $nbira2
     * @return Ficheepidemio
     */
    public function setNbira2($nbira2)
    {
        $this->nbira2 = $nbira2;
    
        return $this;
    }

    /**
     * Get nbira2
     *
     * @return integer 
     */
    public function getNbira2()
    {
        return $this->nbira2;
    }

    /**
     * Set nbsg2
     *
     * @param integer $nbsg2
     * @return Ficheepidemio
     */
    public function setNbsg2($nbsg2)
    {
        $this->nbsg2 = $nbsg2;
    
        return $this;
    }

    /**
     * Get nbsg2
     *
     * @return integer 
     */
    public function getNbsg2()
    {
        return $this->nbsg2;
    }

    /**
     * Set nbconsultants3
     *
     * @param integer $nbconsultants3
     * @return Ficheepidemio
     */
    public function setNbconsultants3($nbconsultants3)
    {
        $this->nbconsultants3 = $nbconsultants3;
    
        return $this;
    }

    /**
     * Get nbconsultants3
     *
     * @return integer 
     */
    public function getNbconsultants3()
    {
        return $this->nbconsultants3;
    }

    /**
     * Set nbfebrile3
     *
     * @param integer $nbfebrile3
     * @return Ficheepidemio
     */
    public function setNbfebrile3($nbfebrile3)
    {
        $this->nbfebrile3 = $nbfebrile3;
    
        return $this;
    }

    /**
     * Get nbfebrile3
     *
     * @return integer 
     */
    public function getNbfebrile3()
    {
        return $this->nbfebrile3;
    }

    /**
     * Set nbira3
     *
     * @param integer $nbira3
     * @return Ficheepidemio
     */
    public function setNbira3($nbira3)
    {
        $this->nbira3 = $nbira3;
    
        return $this;
    }

    /**
     * Get nbira3
     *
     * @return integer 
     */
    public function getNbira3()
    {
        return $this->nbira3;
    }

    /**
     * Set nbsg3
     *
     * @param integer $nbsg3
     * @return Ficheepidemio
     */
    public function setNbsg3($nbsg3)
    {
        $this->nbsg3 = $nbsg3;
    
        return $this;
    }

    /**
     * Get nbsg3
     *
     * @return integer 
     */
    public function getNbsg3()
    {
        return $this->nbsg3;
    }

    /**
     * Set nbconsultants4
     *
     * @param integer $nbconsultants4
     * @return Ficheepidemio
     */
    public function setNbconsultants4($nbconsultants4)
    {
        $this->nbconsultants4 = $nbconsultants4;
    
        return $this;
    }

    /**
     * Get nbconsultants4
     *
     * @return integer 
     */
    public function getNbconsultants4()
    {
        return $this->nbconsultants4;
    }

    /**
     * Set nbfebrile4
     *
     * @param integer $nbfebrile4
     * @return Ficheepidemio
     */
    public function setNbfebrile4($nbfebrile4)
    {
        $this->nbfebrile4 = $nbfebrile4;
    
        return $this;
    }

    /**
     * Get nbfebrile4
     *
     * @return integer 
     */
    public function getNbfebrile4()
    {
        return $this->nbfebrile4;
    }

    /**
     * Set nbira4
     *
     * @param integer $nbira4
     * @return Ficheepidemio
     */
    public function setNbira4($nbira4)
    {
        $this->nbira4 = $nbira4;
    
        return $this;
    }

    /**
     * Get nbira4
     *
     * @return integer 
     */
    public function getNbira4()
    {
        return $this->nbira4;
    }

    /**
     * Set nbsg4
     *
     * @param integer $nbsg4
     * @return Ficheepidemio
     */
    public function setNbsg4($nbsg4)
    {
        $this->nbsg4 = $nbsg4;
    
        return $this;
    }

    /**
     * Get nbsg4
     *
     * @return integer 
     */
    public function getNbsg4()
    {
        return $this->nbsg4;
    }

    /**
     * Set nbconsultants5
     *
     * @param integer $nbconsultants5
     * @return Ficheepidemio
     */
    public function setNbconsultants5($nbconsultants5)
    {
        $this->nbconsultants5 = $nbconsultants5;
    
        return $this;
    }

    /**
     * Get nbconsultants5
     *
     * @return integer 
     */
    public function getNbconsultants5()
    {
        return $this->nbconsultants5;
    }

    /**
     * Set nbfebrile5
     *
     * @param integer $nbfebrile5
     * @return Ficheepidemio
     */
    public function setNbfebrile5($nbfebrile5)
    {
        $this->nbfebrile5 = $nbfebrile5;
    
        return $this;
    }

    /**
     * Get nbfebrile5
     *
     * @return integer 
     */
    public function getNbfebrile5()
    {
        return $this->nbfebrile5;
    }

    /**
     * Set nbira5
     *
     * @param integer $nbira5
     * @return Ficheepidemio
     */
    public function setNbira5($nbira5)
    {
        $this->nbira5 = $nbira5;
    
        return $this;
    }

    /**
     * Get nbira5
     *
     * @return integer 
     */
    public function getNbira5()
    {
        return $this->nbira5;
    }

    /**
     * Set nbsg5
     *
     * @param integer $nbsg5
     * @return Ficheepidemio
     */
    public function setNbsg5($nbsg5)
    {
        $this->nbsg5 = $nbsg5;
    
        return $this;
    }

    /**
     * Get nbsg5
     *
     * @return integer 
     */
    public function getNbsg5()
    {
        return $this->nbsg5;
    }

    /**
     * Set nbecouvnano
     *
     * @param integer $nbecouvnano
     * @return Ficheepidemio
     */
    public function setNbecouvnano($nbecouvnano)
    {
        $this->nbecouvnano = $nbecouvnano;
    
        return $this;
    }

    /**
     * Get nbecouvnano
     *
     * @return integer 
     */
    public function getNbecouvnano()
    {
        return $this->nbecouvnano;
    }

    /**
     * Set nbecouvbucco
     *
     * @param integer $nbecouvbucco
     * @return Ficheepidemio
     */
    public function setNbecouvbucco($nbecouvbucco)
    {
        $this->nbecouvbucco = $nbecouvbucco;
    
        return $this;
    }

    /**
     * Get nbecouvbucco
     *
     * @return integer 
     */
    public function getNbecouvbucco()
    {
        return $this->nbecouvbucco;
    }

    /**
     * Set nbechantillon
     *
     * @param integer $nbechantillon
     * @return Ficheepidemio
     */
    public function setNbechantillon($nbechantillon)
    {
        $this->nbechantillon = $nbechantillon;
    
        return $this;
    }

    /**
     * Get nbechantillon
     *
     * @return integer 
     */
    public function getNbechantillon()
    {
        return $this->nbechantillon;
    }
}